
Redmine - Feature #4812

Create links to other projects

2010-02-11 23:12 - Nick Fitzgerald

Status: Closed Start date: 2010-02-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 1.0.0 (RC)   

Resolution: Fixed   

Description

Currently there appears to be no way to create an automatic link within a wiki to a particular project. The only way this is possible is

by hardcoding the URL and project name in the page. If a shortcut was added for this I would imagine it should be possible to use the

following methods to link to a project:

project:ID (ie. project:12)

project:identifer (ie. Redmine)

project:"Project Name" (ie. Redmine)

While I am talking about this in context to wiki pages, I imagine this is something that may be useful across Redmine.

Associated revisions

Revision 3422 - 2010-02-13 11:32 - Jean-Philippe Lang

Adds projects links (#4812).

History

#1 - 2010-02-12 21:03 - Bruno Garin

[[project1:a_page]] do the job, no?

#2 - 2010-02-13 11:36 - Jean-Philippe Lang

- Category set to Text formatting

- Status changed from New to Closed

- Target version set to 1.0.0 (RC)

- Resolution set to Fixed

Added in r3422. You use one of the following syntax:

project#<id>

project:<identifier

project:<name>

 Bruno, what you proposed is a link to project1 wiki page which is not exactly what was requested.
